0

This question already has an answer here:

I used this command for downloading software center

sudo apt-get install software-center

this error pops up

python-lxml but it is not going to be installed

Tried

  sudo apt-get purge python
  sudo apt-get install python2.7

and now I got more errors

software-center :Depends: gvfs-backends
                 Depends: python-lxml but it is not going to be installed
                 Recommends: update-notifier but it is not going to be installed

marked as duplicate by Eric Carvalho, Fabby, Yaron, David Foerster, Zanna Feb 4 '18 at 21:14

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • 1
    What possessed you to try purging python? What was the output when you did that? – Zanna Feb 2 '18 at 20:21
  • 1
    Could you please add a little more detail? What exactly did you do, what did you expect to happen and what happened instead? Did you encounter any warning or error messages? Please reproduce them in their entirety in your question. You can select, copy and paste terminal content and most dialogue messages in Ubuntu. Please edit your post to add information instead of posting a comment. (see How do I ask a good question?) – David Foerster Feb 4 '18 at 20:35
-2

The error here isn't an issue with python but with python-lxml that it is not installed. Try the following :

sudo apt-get install python-lxml
sudo apt-get install software-center

This shoud resolve your issue.

  • If it was that simple Apt would resolve the missing dependency self. -1 – David Foerster Feb 4 '18 at 20:36
  • Well that's what I thought but sometimes I have to do it manually so I think it is worth trying. – raphael Feb 4 '18 at 20:46

Not the answer you're looking for? Browse other questions tagged or ask your own question.